// Declaring a variable of type PImage
PImage img;

void setup() {
  size(320, 240);
  // Make a new instance of a PImage by loading an image file
  img = loadImage("selfie.jpg");
  background(0);
  // Draw the image to the screen at coordinate (0,0)
  image(img, 0, 0);
}

void draw() {
  loadPixels();
  for (int index=0;index < pixels.length; index++) {
    color c = pixels[index]; //get the pixel in question
    //do something to the red value of c
    float redValue = red(c);
    redValue = redValue + 1;
    if (redValue > 255) {
      redValue = 0;
    }
    c = color(redValue, green(c), blue(c));   
    pixels[index] = c;
  }
  updatePixels();
}

void mouseDragged() {
}

void keyPressed() {
  if (key == 's') {
    save("amazingSelfie.jpg");
  }
}

