int myWidth = 320;
int myHeight = 240;
boolean[] allThePixels = new boolean[myWidth * myHeight];

void setup() {
  size(myWidth,myHeight);
  for (int i = 0; i < allThePixels.length; i++) {
    allThePixels[i] = false;
  }
}

void draw() {
  background(255);
  // Draw points
  for (int i = 0; i < myHeight; i++) { // i is dealing with height, so we can process a row at a time
    for (int j = 0; j < myWidth; j++) { // j is dealing with width, so we can process each pixel in the row that i chooses
      int positionInTheArray = (i*myWidth)+j;
      boolean booleanInTheArray = allThePixels[positionInTheArray];
      if(booleanInTheArray){
        stroke(0);
      }else{
        stroke(255);
      }
      point(j,i);
    }
  }
}

void mouseDragged(){
  int positionInArray = (mouseY*width)+mouseX;
  
  allThePixels[positionInArray] = !allThePixels[positionInArray];
}

