int myWidth = 400;
int myHeight = 400;

color[] allThePixels = new color[myWidth*myHeight];

void setup() {
  size(400, 400);
  background(0);

  for (int i=0; i < allThePixels.length; i++) {
    allThePixels[i] = color(0, 0, 0);
  }
}

void draw() {
  stroke(255);

  for (int i=0; i < myHeight; i++) {
    for (int j=0; j < myWidth; j++) {
      int positionInArray = (i*myWidth)+j;
      stroke(allThePixels[positionInArray]);
      point(j, i);
    }
  }
}

void mouseDragged() {
  int positionInArray = (mouseY*myWidth) + mouseX;
  allThePixels[positionInArray] = color(random(0, 255), random(0, 255), random(0, 255));
}

